Subject: Re: linux-next: comment in commit in the slave-dma tree (dmaengine: dw_dmac: Enhance device tree support)

From: Vinod Koul <[email-masked]>
Date: Tue, 8 Jan 2013 00:19:31 -0800

On Mon, Jan 07, 2013 at 02:43:08PM -0800, Greg Kroah-Hartman wrote:
> On Tue, Jan 08, 2013 at 09:35:57AM +1100, Stephen Rothwell wrote:
> > Hi Vinod,
> > 
> > In commit 548860697046 ("dmaengine: dw_dmac: Enhance device tree
> > support") (which was changed since yesterday :-(), an instance of
> > __devinit has been added.  We are in the process of making CONFIG_HOTPLUG
> > always true, and since commit 78d86c213f28 ("init.h: Remove __dev*
> > sections from the kernel") (included in v3.7), __devinit does nothing.
> > Please do not add any more.
> 
> That brings up something I wanted to ask you.
> 
> I'd like to send a patch to Linus to just delete __devinit and friends
> entirely from init.h, but that will break the linux-next tree from
> building in places (like this one, and in a few others.)
> 
> Is that ok?  That should finally get everyone's attention and keep them
> from the cargo-cult programming mode of using these attributes :)
I think if you remove this from linus's tree and since we are in rc2 we can get
it done and remove all other intances from other trees.

--
~Vinod